Managed Databases - Update
Updates an existing database.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
The name of the database. |
|
managed
|
path | True |
string |
The name of the managed instance. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.autoCompleteRestore |
boolean |
Whether to auto complete restore of this managed database. |
| properties.catalogCollation |
Collation of the metadata catalog. |
|
| properties.collation |
string |
Collation of the managed database. |
| properties.createMode |
Managed database create mode. PointInTimeRestore: Create a database by restoring a point in time backup of an existing database. SourceDatabaseName, SourceManagedInstanceName and PointInTime must be specified. RestoreExternalBackup: Create a database by restoring from external backup files. Collation, StorageContainerUri and StorageContainerSasToken must be specified. Recovery: Creates a database by restoring a geo-replicated backup. RecoverableDatabaseId must be specified as the recoverable database resource ID to restore. RestoreLongTermRetentionBackup: Create a database by restoring from a long term retention backup (longTermRetentionBackupResourceId required). |
|
| properties.crossSubscriptionRestorableDroppedDatabaseId |
string |
The restorable cross-subscription dropped database resource id to restore when creating this database. |
| properties.crossSubscriptionSourceDatabaseId |
string |
The resource identifier of the cross-subscription source database associated with create operation of this database. |
| properties.crossSubscriptionTargetManagedInstanceId |
string |
Target managed instance id used in cross-subscription restore. |
| properties.isLedgerOn |
boolean |
Whether or not this database is a ledger database, which means all tables in the database are ledger tables. Note: the value of this property cannot be changed after the database has been created. |
| properties.lastBackupName |
string |
Last backup file name for restore of this managed database. |
| properties.longTermRetentionBackupResourceId |
string |
The name of the Long Term Retention backup to be used for restore of this managed database. |
| properties.recoverableDatabaseId |
string |
The resource identifier of the recoverable database associated with create operation of this database. |
| properties.restorableDroppedDatabaseId |
string |
The restorable dropped database resource id to restore when creating this database. |
| properties.restorePointInTime |
string (date-time) |
Conditional. If createMode is PointInTimeRestore, this value is required. Specifies the point in time (ISO8601 format) of the source database that will be restored to create the new database. |
| properties.sourceDatabaseId |
string |
The resource identifier of the source database associated with create operation of this database. |
| properties.storageContainerIdentity |
string |
Conditional. If createMode is RestoreExternalBackup, this value is used. Specifies the identity used for storage container authentication. Can be 'SharedAccessSignature' or 'ManagedIdentity'; if not specified 'SharedAccessSignature' is assumed. |
| properties.storageContainerSasToken |
string |
Conditional. If createMode is RestoreExternalBackup and storageContainerIdentity is not ManagedIdentity, this value is required. Specifies the storage container sas token. |
| properties.storageContainerUri |
string |
Conditional. If createMode is RestoreExternalBackup, this value is required. Specifies the uri of the storage container where backups for this restore are stored. |
| tags |
object |
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated the database. |
|
| 202 Accepted |
Updating the managed database is in progress. Headers Location: string |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
| Updates a managed database with maximal properties |
| Updates a managed database with minimal properties |
Updates a managed database with maximal properties
Sample request
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/testdb?api-version=2025-01-01
{
"tags": {
"tagKey1": "TagValue1"
}
}
Sample response
{
"tags": {
"tagKey1": "TagValue1"
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb"
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/locations/southeastasia/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2017-03-01
Updates a managed database with minimal properties
Sample request
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/testdb?api-version=2025-01-01
{
"tags": {
"tagKey1": "TagValue1"
}
}
Sample response
{
"tags": {
"tagKey1": "TagValue1"
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb"
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/locations/southeastasia/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2017-03-01
Definitions
| Name | Description |
|---|---|
|
Catalog |
Collation of the metadata catalog. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Inaccessibility |
Root cause kind. Allowed values are “TransparentDataEncryption”, “DatabaseReplication”, and “Unknown”. |
|
Managed |
A managed database resource. |
|
Managed |
Managed database create mode. PointInTimeRestore: Create a database by restoring a point in time backup of an existing database. SourceDatabaseName, SourceManagedInstanceName and PointInTime must be specified. RestoreExternalBackup: Create a database by restoring from external backup files. Collation, StorageContainerUri and StorageContainerSasToken must be specified. Recovery: Creates a database by restoring a geo-replicated backup. RecoverableDatabaseId must be specified as the recoverable database resource ID to restore. RestoreLongTermRetentionBackup: Create a database by restoring from a long term retention backup (longTermRetentionBackupResourceId required). |
|
Managed |
Managed Database Extended Accessibility Information |
|
Managed |
Status of the database. |
|
Managed |
An managed database update. |
CatalogCollationType
Collation of the metadata catalog.
| Value | Description |
|---|---|
| DATABASE_DEFAULT | |
| SQL_Latin1_General_CP1_CI_AS |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
InaccessibilityReason
Root cause kind. Allowed values are “TransparentDataEncryption”, “DatabaseReplication”, and “Unknown”.
| Value | Description |
|---|---|
| Unknown | |
| TransparentDataEncryption | |
| DatabaseReplication |
ManagedDatabase
A managed database resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| location |
string |
Resource location. |
| name |
string |
Resource name. |
| properties.autoCompleteRestore |
boolean |
Whether to auto complete restore of this managed database. |
| properties.catalogCollation |
Collation of the metadata catalog. |
|
| properties.collation |
string |
Collation of the managed database. |
| properties.createMode |
Managed database create mode. PointInTimeRestore: Create a database by restoring a point in time backup of an existing database. SourceDatabaseName, SourceManagedInstanceName and PointInTime must be specified. RestoreExternalBackup: Create a database by restoring from external backup files. Collation, StorageContainerUri and StorageContainerSasToken must be specified. Recovery: Creates a database by restoring a geo-replicated backup. RecoverableDatabaseId must be specified as the recoverable database resource ID to restore. RestoreLongTermRetentionBackup: Create a database by restoring from a long term retention backup (longTermRetentionBackupResourceId required). |
|
| properties.creationDate |
string (date-time) |
Creation date of the database. |
| properties.crossSubscriptionRestorableDroppedDatabaseId |
string |
The restorable cross-subscription dropped database resource id to restore when creating this database. |
| properties.crossSubscriptionSourceDatabaseId |
string |
The resource identifier of the cross-subscription source database associated with create operation of this database. |
| properties.crossSubscriptionTargetManagedInstanceId |
string |
Target managed instance id used in cross-subscription restore. |
| properties.defaultSecondaryLocation |
string |
Geo paired region. |
| properties.earliestRestorePoint |
string (date-time) |
Earliest restore point in time for point in time restore. |
| properties.extendedAccessibilityInfo |
Additional observability and troubleshooting information for databases in ‘Inaccessible’ state. |
|
| properties.failoverGroupId |
string |
Instance Failover Group resource identifier that this managed database belongs to. |
| properties.isLedgerOn |
boolean |
Whether or not this database is a ledger database, which means all tables in the database are ledger tables. Note: the value of this property cannot be changed after the database has been created. |
| properties.lastBackupName |
string |
Last backup file name for restore of this managed database. |
| properties.longTermRetentionBackupResourceId |
string |
The name of the Long Term Retention backup to be used for restore of this managed database. |
| properties.recoverableDatabaseId |
string |
The resource identifier of the recoverable database associated with create operation of this database. |
| properties.restorableDroppedDatabaseId |
string |
The restorable dropped database resource id to restore when creating this database. |
| properties.restorePointInTime |
string (date-time) |
Conditional. If createMode is PointInTimeRestore, this value is required. Specifies the point in time (ISO8601 format) of the source database that will be restored to create the new database. |
| properties.sourceDatabaseId |
string |
The resource identifier of the source database associated with create operation of this database. |
| properties.status |
Status of the database. |
|
| properties.storageContainerIdentity |
string |
Conditional. If createMode is RestoreExternalBackup, this value is used. Specifies the identity used for storage container authentication. Can be 'SharedAccessSignature' or 'ManagedIdentity'; if not specified 'SharedAccessSignature' is assumed. |
| properties.storageContainerSasToken |
string |
Conditional. If createMode is RestoreExternalBackup and storageContainerIdentity is not ManagedIdentity, this value is required. Specifies the storage container sas token. |
| properties.storageContainerUri |
string |
Conditional. If createMode is RestoreExternalBackup, this value is required. Specifies the uri of the storage container where backups for this restore are stored. |
| tags |
object |
Resource tags. |
| type |
string |
Resource type. |
ManagedDatabaseCreateMode
Managed database create mode. PointInTimeRestore: Create a database by restoring a point in time backup of an existing database. SourceDatabaseName, SourceManagedInstanceName and PointInTime must be specified. RestoreExternalBackup: Create a database by restoring from external backup files. Collation, StorageContainerUri and StorageContainerSasToken must be specified. Recovery: Creates a database by restoring a geo-replicated backup. RecoverableDatabaseId must be specified as the recoverable database resource ID to restore. RestoreLongTermRetentionBackup: Create a database by restoring from a long term retention backup (longTermRetentionBackupResourceId required).
| Value | Description |
|---|---|
| Default | |
| RestoreExternalBackup | |
| PointInTimeRestore | |
| Recovery | |
| RestoreLongTermRetentionBackup |
ManagedDatabaseExtendedAccessibilityInfo
Managed Database Extended Accessibility Information
| Name | Type | Description |
|---|---|---|
| inaccessibilityReasonDescription |
string |
Root cause explanation and mitigation action. |
| inaccessibilityReasonErrorCode |
string |
SQL Server error code connected to the inaccessibility root cause. |
| inaccessibilityReasonKind |
Root cause kind. Allowed values are “TransparentDataEncryption”, “DatabaseReplication”, and “Unknown”. |
|
| inaccessibilityReasonTdeKeyUri |
string |
For the root cause kind “TransparentDataEncryption”, the CMK URI. |
ManagedDatabaseStatus
Status of the database.
| Value | Description |
|---|---|
| Online | |
| Offline | |
| Shutdown | |
| Creating | |
| Inaccessible | |
| Restoring | |
| Updating | |
| Stopping | |
| Stopped | |
| Starting | |
| DbMoving | |
| DbCopying |
ManagedDatabaseUpdate
An managed database update.
| Name | Type | Description |
|---|---|---|
| properties.autoCompleteRestore |
boolean |
Whether to auto complete restore of this managed database. |
| properties.catalogCollation |
Collation of the metadata catalog. |
|
| properties.collation |
string |
Collation of the managed database. |
| properties.createMode |
Managed database create mode. PointInTimeRestore: Create a database by restoring a point in time backup of an existing database. SourceDatabaseName, SourceManagedInstanceName and PointInTime must be specified. RestoreExternalBackup: Create a database by restoring from external backup files. Collation, StorageContainerUri and StorageContainerSasToken must be specified. Recovery: Creates a database by restoring a geo-replicated backup. RecoverableDatabaseId must be specified as the recoverable database resource ID to restore. RestoreLongTermRetentionBackup: Create a database by restoring from a long term retention backup (longTermRetentionBackupResourceId required). |
|
| properties.creationDate |
string (date-time) |
Creation date of the database. |
| properties.crossSubscriptionRestorableDroppedDatabaseId |
string |
The restorable cross-subscription dropped database resource id to restore when creating this database. |
| properties.crossSubscriptionSourceDatabaseId |
string |
The resource identifier of the cross-subscription source database associated with create operation of this database. |
| properties.crossSubscriptionTargetManagedInstanceId |
string |
Target managed instance id used in cross-subscription restore. |
| properties.defaultSecondaryLocation |
string |
Geo paired region. |
| properties.earliestRestorePoint |
string (date-time) |
Earliest restore point in time for point in time restore. |
| properties.extendedAccessibilityInfo |
Additional observability and troubleshooting information for databases in ‘Inaccessible’ state. |
|
| properties.failoverGroupId |
string |
Instance Failover Group resource identifier that this managed database belongs to. |
| properties.isLedgerOn |
boolean |
Whether or not this database is a ledger database, which means all tables in the database are ledger tables. Note: the value of this property cannot be changed after the database has been created. |
| properties.lastBackupName |
string |
Last backup file name for restore of this managed database. |
| properties.longTermRetentionBackupResourceId |
string |
The name of the Long Term Retention backup to be used for restore of this managed database. |
| properties.recoverableDatabaseId |
string |
The resource identifier of the recoverable database associated with create operation of this database. |
| properties.restorableDroppedDatabaseId |
string |
The restorable dropped database resource id to restore when creating this database. |
| properties.restorePointInTime |
string (date-time) |
Conditional. If createMode is PointInTimeRestore, this value is required. Specifies the point in time (ISO8601 format) of the source database that will be restored to create the new database. |
| properties.sourceDatabaseId |
string |
The resource identifier of the source database associated with create operation of this database. |
| properties.status |
Status of the database. |
|
| properties.storageContainerIdentity |
string |
Conditional. If createMode is RestoreExternalBackup, this value is used. Specifies the identity used for storage container authentication. Can be 'SharedAccessSignature' or 'ManagedIdentity'; if not specified 'SharedAccessSignature' is assumed. |
| properties.storageContainerSasToken |
string |
Conditional. If createMode is RestoreExternalBackup and storageContainerIdentity is not ManagedIdentity, this value is required. Specifies the storage container sas token. |
| properties.storageContainerUri |
string |
Conditional. If createMode is RestoreExternalBackup, this value is required. Specifies the uri of the storage container where backups for this restore are stored. |
| tags |
object |
Resource tags. |